Subject: Re: [bug#62047] [PATCH 1/2] packages: Use SRFI-71 instead of SRFI-11.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 10 Mar 2023 17:46:16 +0100

Simon Tournier <[email-masked]> skribis:

> On mer., 08 mars 2023 at 13:03, Ludovic Courtès <[email-masked]> wrote:
>
>> -               (let-values (((name version)
>> -                             (package-name->name+version spec)))
>> +               (let ((name version (package-name->name+version spec)))
>
> Out of curiosity, what is the difference?  Aside SRFI-71 instead of
> SRFI-11?  Or why do you prefer SRFI-71 over -11?

There’s no semantic difference, but SRFI-71 looks clearer, doesn’t it?
:-)

See
<https://lists.gnu.org/archive/html/guix-devel/2021-01/msg00234.html>
for the original proposal.

Ludo’.